package com.om.utils;

public class AdminContext {
    private static final ThreadLocal<Integer> TL = new ThreadLocal<>();

    /**
     * 保存管理员信息
     * @param adminId 用户id
     */
    public static void setAdminId(Integer adminId){
        TL.set(adminId);
    }

    /**
     * 获取管理员
     * @return 用户id
     */
    public static Integer getAdminId(){
        return TL.get();
    }

    /**
     * 移除管理员信息
     */
    public static void removeAdmin(){
        TL.remove();
    }
}

